//
//  ViewController.swift
//  Pastoral
//
//  Created by Mark Meretzky on 11/29/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit;
import AVFoundation;	//for AVAudioPlayer

class ViewController: UIViewController {
	let tempo: String;
	var audioPlayer: AVAudioPlayer?;

	init(title: String, tempo: String, badge: String, mp3: String) {
		self.tempo = tempo;	//self.text is the property, text is the parameter
		super.init(nibName: nil, bundle: nil);
		self.title = title;
		tabBarItem.badgeValue = badge;
		tabBarItem.image = UIImage(named: "icon");

		let bundle: NSBundle = NSBundle.mainBundle();
		let path: String = bundle.pathForResource(mp3, ofType: "mp3")!
		let url: NSURL = NSURL(fileURLWithPath: path, isDirectory: false)!;
		var error: NSError?;
		audioPlayer = AVAudioPlayer(contentsOfURL: url, error: &error);
		if audioPlayer == nil {
			println("\(title) could not create AVAudioPlayer: \(error!).");
			return;
		}

		if !audioPlayer!.prepareToPlay() {	//left ! means "not"
			println("could not prepare to play.");
		}
	}

	//Not called
	required init(coder aDecoder: NSCoder) {
		tempo = "";
		super.init(coder: aDecoder);
	}

	override func loadView() {
		let label: UILabel = UILabel();
		label.backgroundColor = UIColor.whiteColor();
		label.textAlignment = NSTextAlignment.Center;
		label.text = tempo;
		view = label;
	}

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
	}
	
	override func viewDidAppear(animated: Bool) {
		super.viewDidAppear(animated);
		println("\(title!) did appear.");
	}

	override func viewWillDisappear(animated: Bool) {
		super.viewWillDisappear(animated);
		println("\(title!) will disappear.");

		if audioPlayer != nil {
			audioPlayer!.stop();
			if !audioPlayer!.prepareToPlay() {
				println("could not prepare to play.");
			}
		}
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}


}

